import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MLUpdateContext } from "./MLUpdateContext.js";
import type { MLUpdateProgressEvent } from "./MLUpdateProgressEvent.js";
export declare class _MLUpdateProgressHandlers extends _NSObject {
    static alloc(): _MLUpdateProgressHandlers;
    static new(): _MLUpdateProgressHandlers;
    init(): _MLUpdateProgressHandlers;
    initForEvents$progressHandler$completionHandler$(interestedEvents: MLUpdateProgressEvent, progressHandler: ((context: _MLUpdateContext) => void) | null, completionHandler: (context: _MLUpdateContext) => void): _MLUpdateProgressHandlers;
}
